/********************************************************************/
/*                 Definitions to enable SPI channels               */
/********************************************************************/

// Enable SPI channel 1
#define DRV_SPI_CONFIG_CHANNEL_1_ENABLE
// Enable SPI channel 2
//#define DRV_SPI_CONFIG_CHANNEL_2_ENABLE
// Enable SPI channel 3
//#define DRV_SPI_CONFIG_CHANNEL_3_ENABLE
// Enable SPI channel 4
//#define DRV_SPI_CONFIG_CHANNEL_4_ENABLE


// Disable SPI FIFO mode in parts where it is not supported
// Enabling the FIFO mode will improve library performance.
// In this demo this definition is sometimes disabled because early versions of the PIC24FJ128GA010s have an errata preventing this feature from being used.
#if defined (__XC8__) || defined (__PIC24FJ128GA010__)
#define DRV_SPI_CONFIG_ENHANCED_BUFFER_DISABLE
#endif

















