/********************************************************************
 *******************************************************************/

#include <usb/usb_host_hid.h>

/*********************************************************************
* Function: void APP_HostHIDMouseInitialize(void);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostHIDMouseInitialize();

/*********************************************************************
* Function: void APP_HostHIDMouseTasks(void);
*
* Overview: Keeps the demo running.
*
* PreCondition: The demo should have been initialized via
*   the APP_HostHIDMouseInitialize() function
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostHIDMouseTasks();

/*********************************************************************
* Function: bool APP_HostHIDMouseReportParser(void);
*
* Overview: parses the HID report to determine if this device is supported
*
* PreCondition: None
*
* Input: None
*
* Output: true if supported, false otherwise
*
********************************************************************/
bool APP_HostHIDMouseReportParser(void);