/********************************************************************
 *******************************************************************/

#include <stdbool.h>
#include <stddef.h>
#include <stdint.h>

#include <usb/usb_host_msd_scsi.h>

/*********************************************************************
* Function: void APP_HostMSDDataLoggerInitialize(void);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostMSDDataLoggerInitialize();

/*********************************************************************
* Function: void APP_MountDrive (uint8_t address);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: address - Address of the USB device to mount
*
* Output: None
*
********************************************************************/
void APP_MountDrive(uint8_t address);

/*********************************************************************
* Function: void APP_HostMSDDataLoggerTasks(void);
*
* Overview: Keeps the demo running.
*
* PreCondition: The demo should have been initialized and started via
*   the APP_HostMSDDataLoggerInitialize() and APP_HostMSDDataLoggerStart() demos
*   respectively.
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostMSDDataLoggerTasks();

