/********************************************************************
 *******************************************************************/

#if defined (PIC24E_USB_STARTER_KIT)

#include <leds.h>
#include <stdbool.h>
#include <p24EP512GU810.h>

/*********************************************************************
* Function: bool APP_LEDConfiguration(DEMO_LED led);
*
* Overview: Configures the LED for use by the other LED API
*
* PreCondition: none
*
* Input: DEMO_LED led - enumeration of the LEDs available in this 
*        demo.  They should be meaningful names and not the names of 
*        the LEDs on the silkscreen on the board (as the demo code may 
*        be ported to other boards).
*         i.e. - LEDConfigure(LED_CONNECTION_DETECTED);
*
* Output: TRUE if successful, FALSE if LED not configured or doesn't
*         exist for this board or was unable to be configured.
*
********************************************************************/
bool APP_LEDSetConfiguration(DEMO_LED_CONFIGURATION led)
{
    LED_D1 = 0;
    LED_D2 = 0;
    LED_D3 = 0;
    LED_D1_TRIS = 0;
    LED_D2_TRIS = 0;
    LED_D3_TRIS = 0;

    return true;
}

#endif



