/********************************************************************
 *******************************************************************/

/*********************************************************************
* Function: void APP_DeviceHIDUPSInitialize(void);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_DeviceHIDUPSInitialize();

/*********************************************************************
* Function: void APP_DeviceHIDUPSStart(void);
*
* Overview: Starts running the demo.
*
* PreCondition: The device should be configured into the configuration
*   that contains the custome HID interface.  The APP_DeviceHIDUPSInitialize()
*   function should also have been called before calling this function.
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_DeviceHIDUPSStart();

/*********************************************************************
* Function: void APP_DeviceHIDUPSTasks(void);
*
* Overview: Keeps the demo running.
*
* PreCondition: The demo should have been initialized and started via
*   the APP_DeviceHIDUPSInitialize() and APP_DeviceHIDUPSStart() demos
*   respectively.
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_DeviceHIDUPSTasks();

/*********************************************************************
* Function: void APP_DeviceHIDUPSSOFHandler(void);
*
* Overview: Handles SOF based events for this demo
*
* PreCondition: The demo should have been initialized and started via
*   the APP_DeviceHIDUPSInitialize() and APP_DeviceHIDUPSStart() demos
*   respectively.
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_DeviceHIDUPSSOFHandler();
