/********************************************************************
 *******************************************************************/

#include <usb/usb_host_hid.h>

/*********************************************************************
* Function: void APP_HostHIDKeyboardInitialize(void);
*
* Overview: Initializes the demo code
*
* PreCondition: None
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostHIDKeyboardInitialize();

/*********************************************************************
* Function: void APP_HostHIDKeyboardTasks(void);
*
* Overview: Keeps the demo running.
*
* PreCondition: The demo should have been initialized via
*   the APP_HostHIDKeyboardInitialize() function
*
* Input: None
*
* Output: None
*
********************************************************************/
void APP_HostHIDKeyboardTasks();

/*********************************************************************
* Function: bool APP_HostHIDKeyboardReportParser(void);
*
* Overview: Parses the report descriptor to determine if the report
*           matches what this demo will support
*
* PreCondition: None
*
* Input: None
*
* Output: bool - true if the demo supports this device, false otherwise.
*
********************************************************************/
bool APP_HostHIDKeyboardReportParser(void);