/********************************************************************
 *******************************************************************/

#ifndef SYSTEM_H
#define SYSTEM_H

#include <xc.h>
#include <stdbool.h>

#include "io_mapping.h"

#include <buttons.h>
#include <leds.h>
#include <adc.h>
#include <timer_1ms.h>

#define MAIN_RETURN int

/*********************************************************************
* Function: void SYS_Initialize(void)
*
* Overview: Initializes the system.
*
* PreCondition: None
*
* Input:  None
*
* Output: None
*
********************************************************************/
void SYS_Initialize();

#endif //SYSTEM_H

