/********************************************************************
 *******************************************************************/

#ifndef SYSTEM_H
#define SYSTEM_H

#include <p24FJ128GC010.h>
#include <stdbool.h>

#include "io_mapping.h"

#define MAIN_RETURN int

/*********************************************************************
* Function: void SYS_Initialize(void)
*
* Overview: Initializes the system.
*
* PreCondition: None
*
* Input:  None
*
* Output: None
*
********************************************************************/
void SYS_Initialize();

#endif //SYSTEM_H
